<packet name="MacroInit">
	<version number="1">
		<u32 name="macro_count">
		<array name="macro_array" count="var:macro_count">
			<u8 name="number">
			<str8 name="name">
			<str8 name="command">
			<u16 name="icon">
		</array>
	</version>
	<version number="546">
		<u32 name="macro_count">
		<array name="macro_array" count="var:macro_count">
			<u8 name="number">
			<str8 name="name">
			<u8 name="macro_details_count">
			<array name="macro_details_array" count="var:macro_details_count">
				<str16 name="command">
			</array>
			<u16 name="icon">
		</array>
	</version>
	<version number="562">
		<u32 name="macro_count">
		<array name="macro_array" count="var:macro_count">
			<u8 name="number">
			<str8 name="name">
			<u8 name="macro_details_count">
			<array name="macro_details_array" count="var:macro_details_count">
				<str16 name="command">
			</array>
			<u16 name="icon">
			<u16 name="unknown2">
			<u32 name="unknown3">
			<u32 name="unknown4">
		</array>
	</version>
</packet>